angularjs - Bower安装错误EPERM重命名sb-admin主题

angularjs - Bower安装错误EPERM重命名sb-admin主题,第1张

我正在尝试在我的本地计算机上安装sb-admin主题并获得以下错误。

尝试清除bower& amp; npm,重新安装的凉亭没什么用。

错误:

  

bower json3#~3.3.1 EPERM EPERM,重命名   ' C:\用户\ vi842397 \应用程序数据\本地\亭子\缓存\包\ 82636d37515077f172c7d039afaa3315 \ 3.3.2'

     

堆栈跟踪:错误:EPERM,重命名   ' C:\用户\ vi842397 \应用程序数据\本地\凉亭\缓存\包\ 82636d37515077f172c7d039afaa3315 \ 3.3.2'       在错误(本机)

     

控制台跟踪:错误       在StandardRenderer.error(C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ lib \ renderers \ StandardRenderer.js:82:37)       在记录器。 (C:\用户\ vi842397 \应用程序数据\漫游\ NPM \ node_modules \亭子\ BIN \亭子:110:22)       在Logger.emit(events.js:107:17)       在Logger.emit(C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ bower-logger \ lib \ Logger.js:29:39)       在C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ lib \ commands \ index.js:45:20       在_rejected(C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ q \ q.js:844:24)       在C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ q \ q.js:870:30       在Promise.when(C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ q \ q.js:1122:31)       在Promise.promise.promiseDispatch(C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ q \ q.js:788:41)       在C:\ Users \ vi842397 \ AppData \ Roaming \ npm \ node_modules \ bower \ node_modules \ q \ q.js:604:44   系统信息:Bower版本:1.4.1节点版本:0.12.7 OS:Windows_NT   6.3.9600 x64

Bower.json:



{
  "name": "sb-admin",
  "version": "0.0.0",
  "dependencies": {
    "angular": "1.2.16",
    "json3": "~3.3.1",
    "es5-shim": "~3.1.0",
    "angular-resource": "1.2.16",
    "angular-cookies": "1.2.16",
    "angular-sanitize": "1.2.16",
    "angular-animate": "1.2.16",
    "angular-touch": "1.2.16",
    "angular-route": "1.2.16",
    "font-awesome": "4.3.0",
    "angular-bootstrap": "0.12.0",
    "oclazyload": "~0.5.2",
    "angular-loading-bar": "~0.7.0",
    "angular-ui-router": "~0.2.13",
    "angular-toggle-switch": "~1.2.1",
    "metisMenu": "~1.1.3",
    "angular-chart.js": "~0.5.2"
  },
  "devDependencies": {
    "angular-mocks": "1.2.16",
    "angular-scenario": "1.2.16"
  },

  "resolutions": {
    "bootstrap": "~3.1.1"
  },
  "appPath": "app"
}




最佳答案:

1 个答案:

答案 0 :(得分:0)

在bower的问题跟踪器上提到here,当用户在全球范围内运行bower时,它已得到解决。尝试全局安装bower,并使用以下命令将其从本地包中删除:

npm install -g bower

然后再试一次。

其他人还建议在管理员模式下运行命令提示符。

本文经用户投稿或网站收集转载,如有侵权请联系本站。

发表评论

0条回复